Loading...
Searching...
No Matches
juce::ComboBoxParameterAttachment Class Reference

## Detailed Description

An object of this class maintains a connection between a ComboBox and a plug-in parameter.

ComboBox items will be spaced linearly across the range of the parameter. For example if the range is specified by NormalisableRange<float> (-0.5f, 0.5f, 0.5f) and you add three items then the first will be mapped to a value of -0.5, the second to 0, and the third to 0.5.

During the lifetime of this object it keeps the two things in sync, making it easy to connect a combo box to a parameter. When this object is deleted, the connection is broken. Make sure that your parameter and ComboBox are not deleted before this object!

The documentation for this class was generated from the following file:

- juce_audio_processors/utilities/juce_ParameterAttachments.h

Inheritance diagram for juce::ComboBoxParameterAttachment:

## Public Member Functions

| ComboBoxParameterAttachment (RangedAudioParameter &parameter, ComboBox &combo, UndoManager *undoManager=nullptr)
| Creates a connection between a plug-in parameter and a ComboBox.
| ~ComboBoxParameterAttachment () override
| Destructor.
void | sendInitialUpdate ()
| Call this after setting up your combo box in the case where you need to do extra setup after constructing this attachment.

## Constructors and Destructors

## ComboBoxParameterAttachment()

juce::ComboBoxParameterAttachment::ComboBoxParameterAttachment | ( | RangedAudioParameter & | parameter,
|  | ComboBox & | combo,
|  | UndoManager * | undoManager = nullptr )

Creates a connection between a plug-in parameter and a ComboBox.

Parameters

  parameter | The parameter to use
  combo | The ComboBox to use
  undoManager | An optional UndoManager

## ~ComboBoxParameterAttachment()

juce::ComboBoxParameterAttachment::~ComboBoxParameterAttachment | ( |  | ) |

override

Destructor.

## Member Functions

## sendInitialUpdate()

void juce::ComboBoxParameterAttachment::sendInitialUpdate | ( |  | ) |

Call this after setting up your combo box in the case where you need to do extra setup after constructing this attachment.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited